Bug 973696 - Review Request: php-pecl-jsonc - Support for JSON serialization
Review Request: php-pecl-jsonc - Support for JSON serialization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 09:58 EDT by Remi Collet
Modified: 2013-06-18 02:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-5.5.0-0.10.RC3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 08:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkaluza: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2013-06-12 09:58:44 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/master/php/pecl/php-pecl-json/php-pecl-json.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-json-1.3.1-1.remi.src.rpm
Description: 
The php-Json module will add support for JSON (JavaScript Object Notation)
serialization to PHP.

This is a dropin alternative to standard PHP JSON extension which
use the json-c library parser.



Fedora Account System Username: remi


Of course, as soon as approved and imported, json extension will be removed from main php package.

Target : F >= 19 only
Comment 1 Remi Collet 2013-06-12 10:23:54 EDT
php-pecl-jsonc seems a better name
(clean upgrade as php-pecl-json is obsoleted in old php version, without version)

Spec: https://raw.github.com/remicollet/remirepo/master/php/pecl/php-pecl-jsonc/php-pecl-jsonc.spec
SRPM: http://rpms.famillecollet.com/SRPMS/php-pecl-jsonc-1.3.1-1.remi.src.rpm
Comment 2 Jan Kaluža 2013-06-13 02:29:17 EDT
The packaged has passed the review. Commented fedora-review output:

> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Package installs properly.
>   Note: Installation errors (see attachment)
>   See: https://fedoraproject.org/wiki/Packaging:Guidelines

You stated you will change php package properly to fix the conflicts during the installation. In this case it's not blocker.

> - Package requires php-common instead of php.
>   See: http://fedoraproject.org/wiki/Packaging:PHP

This is not required for PECL packages according to guidelines. So it's OK too.

> 
> ===== MUST items =====
> 
> C/C++:
> [ ]: Package does not contain kernel modules.
> [ ]: Package contains no static executables.
> [ ]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path.
> [x]: Header files in -devel subpackage, if present.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [ ]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [ ]: %build honors applicable compiler flags or justifies otherwise.
> [ ]: Package contains no bundled libraries without FPC exception.
> [ ]: Changelog in prescribed format.
> [ ]: Sources contain only permissible code or content.
> [ ]: Package contains desktop file if it is a GUI application.
> [ ]: Development files must be in a -devel package
> [ ]: Package requires other packages for directories it uses.
> [ ]: Package uses nothing in %doc for runtime.
> [ ]: Package is not known to require ExcludeArch.
> [ ]: Package complies to the Packaging Guidelines
> [ ]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "MIT/X11 (BSD like)", "Unknown or generated", "PHP (v3.01)". 40 files
>      have unknown license. Detailed output of licensecheck in
>      /home/hanzz/test/973696-php-pecl-jsonc/licensecheck.txt

There are files licensed under MIT, but they are not used to build binary package, so it's OK.

> [ ]: License file installed when any subpackage combination is installed.
> [ ]: Package consistently uses macro is (instead of hard-coded directory
>      names).
> [ ]: Package is named according to the Package Naming Guidelines.
> [ ]: Package does not generate any conflict.
> [ ]: Package obeys FHS, except libexecdir and /usr/target.
> [ ]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [ ]: Package must own all directories that it creates.
> [ ]: Package does not own files or directories owned by other packages.
> [ ]: Requires correct, justified where necessary.
> [ ]: Spec file is legible and written in American English.
> [ ]: Package contains systemd file(s) if in need.
> [ ]: Useful -debuginfo package or justification otherwise.
> [ ]: Large documentation must go in a -doc subpackage.
>      Note: Documentation size is 10240 bytes in 3 files.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: %config files are marked noreplace or the reason is justified.
> [x]: Each %files section contains %defattr if rpm < 4.4
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Fully versioned dependency in subpackages, if present.
> [x]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: No %config files under /usr.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as provided
>      in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> [x]: Package successfully compiles and builds into binary rpms on at least one
>      supported primary architecture.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> 
> ===== SHOULD items =====
> 
> Generic:
> [ ]: If the source package does not include license text as a separate file
>      from upstream, the packager SHOULD query upstream to include it.
> [ ]: Final provides and requires are sane (see attachments).
> [ ]: Package functions as described.
> [ ]: Latest version is packaged.
> [ ]: Package does not include license text files separate from upstream.
> [ ]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [ ]: Package should compile and build into binary rpms on all supported
>      architectures.
> [ ]: %check is present and all tests pass.
> [ ]: Packages should try to preserve timestamps of original installed files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present.
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Uses parallel make.
> [x]: SourceX tarball generation or download is documented.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define.
> 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Rpmlint is run on all installed packages.
>      Note: Mock build failed

Not sure why fedora-review thinks this. Maybe because of the failed installation. According to build.log and binary packages, everything is alright. rpmlint has been run on the packages (see below) and there are only non-blocker (spelling-error, no-doc in -devel) warnings.

> [x]: Large data in /usr/share should live in a noarch subpackage if package is
>      arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Installation errors
> -------------------
> INFO: mock.py version 1.1.32 starting...
> Start: init plugins
> INFO: selinux enabled
> Finish: init plugins
> Start: run
> Mock Version: 1.1.32
> INFO: Mock Version: 1.1.32
> Start: lock buildroot
> INFO: installing package(s): /home/hanzz/test/973696-php-pecl-jsonc/results/php-pecl-jsonc-1.3.1-1.fc19.x86_64.rpm /home/hanzz/test/973696-php-pecl-jsonc/results/php-pecl-jsonc-devel-1.3.1-1.fc19.x86_64.rpm
> ERROR: Command failed: 
>  # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/hanzz/test/973696-php-pecl-jsonc/results/php-pecl-jsonc-1.3.1-1.fc19.x86_64.rpm', '/home/hanzz/test/973696-php-pecl-jsonc/results/php-pecl-jsonc-devel-1.3.1-1.fc19.x86_64.rpm', '--setopt=tsflags=nocontexts']
> 
> ================================================================================
>  Package    Arch   Version      Repository                                 Size
> ================================================================================
> Installing:
>  php-pecl-jsonc
>             x86_64 1.3.1-1.fc19 /php-pecl-jsonc-1.3.1-1.fc19.x86_64        98 k
>  php-pecl-jsonc-devel
>             x86_64 1.3.1-1.fc19 /php-pecl-jsonc-devel-1.3.1-1.fc19.x86_64 6.7 k
> 
> Transaction Summary
> ================================================================================
> Install  2 Packages
> 
> Total size: 105 k
> Installed size: 105 k
> 
> 
> Transaction Check Error:
>   file /etc/php-zts.d/json.ini from install of php-pecl-jsonc-1.3.1-1.fc19.x86_64 conflicts with file from package php-common-5.5.0-0.9.RC3.fc20.x86_64
>   file /etc/php.d/json.ini from install of php-pecl-jsonc-1.3.1-1.fc19.x86_64 conflicts with file from package php-common-5.5.0-0.9.RC3.fc20.x86_64
>   file /usr/lib64/php-zts/modules/json.so from install of php-pecl-jsonc-1.3.1-1.fc19.x86_64 conflicts with file from package php-common-5.5.0-0.9.RC3.fc20.x86_64
>   file /usr/lib64/php/modules/json.so from install of php-pecl-jsonc-1.3.1-1.fc19.x86_64 conflicts with file from package php-common-5.5.0-0.9.RC3.fc20.x86_64
>   file /usr/include/php-zts/php/ext/json/php_json.h from install of php-pecl-jsonc-devel-1.3.1-1.fc19.x86_64 conflicts with file from package php-devel-5.5.0-0.9.RC3.fc20.x86_64
>   file /usr/include/php/ext/json/php_json.h from install of php-pecl-jsonc-devel-1.3.1-1.fc19.x86_64 conflicts with file from package php-devel-5.5.0-0.9.RC3.fc20.x86_64
> 
> Error Summary
> -------------
> 
> 
> 
> 
> Rpmlint
> -------
> Checking: php-pecl-jsonc-1.3.1-1.fc19.x86_64.rpm
>           php-pecl-jsonc-devel-1.3.1-1.fc19.x86_64.rpm
> php-pecl-jsonc.x86_64: W: spelling-error %description -l en_US dropin -> drop in, drop-in, dropping
> php-pecl-jsonc.x86_64: W: spelling-error %description -l en_US json -> son, j son
> php-pecl-jsonc-devel.x86_64: W: spelling-error %description -l en_US serializer -> serialize, serializes, serialized
> php-pecl-jsonc-devel.x86_64: W: no-documentation
> 2 packages and 0 specfiles checked; 0 errors, 4 warnings.
> 

Another run also with .src and -debuginfo packages:

php-pecl-jsonc.src: W: spelling-error %description -l en_US dropin -> drop in, drop-in, dropping
php-pecl-jsonc.src: W: spelling-error %description -l en_US json -> son, j son
php-pecl-jsonc.x86_64: W: spelling-error %description -l en_US dropin -> drop in, drop-in, dropping
php-pecl-jsonc.x86_64: W: spelling-error %description -l en_US json -> son, j son
php-pecl-jsonc-devel.x86_64: W: spelling-error %description -l en_US serializer -> serialize, serializes, serialized
php-pecl-jsonc-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 6 warnings.

> 
> 
> Requires
> --------
> php-pecl-jsonc-devel (rpmlib, GLIBC filtered):
>     php-devel(x86-64)
>     php-pecl-jsonc(x86-64)
> 
> php-pecl-jsonc (rpmlib, GLIBC filtered):
>     /bin/sh
>     /usr/bin/pecl
>     libc.so.6()(64bit)
>     libjson-c.so.2()(64bit)
>     php(api)
>     php(zend-abi)
>     rtld(GNU_HASH)
> 
> 
> 
> Provides
> --------
> php-pecl-jsonc-devel:
>     php-pecl-jsonc-devel
>     php-pecl-jsonc-devel(x86-64)
> 
> php-pecl-jsonc:
>     php-json
>     php-json(x86-64)
>     php-pecl(json)
>     php-pecl(json)(x86-64)
>     php-pecl(jsonc)
>     php-pecl(jsonc)(x86-64)
>     php-pecl-jsonc
>     php-pecl-jsonc(x86-64)
> 
> 
> 
> Unversioned so-files
> --------------------
> php-pecl-jsonc: /usr/lib64/php-zts/modules/json.so
> php-pecl-jsonc: /usr/lib64/php/modules/json.so
> 
> Source checksums
> ----------------
> http://pecl.php.net/get/jsonc-1.3.1.tgz :
>   CHECKSUM(SHA256) this package     : 9913559265422f3ab5ea8f7d99500fbec77d5b4c944261870237978447a3beda
>   CHECKSUM(SHA256) upstream package : 9913559265422f3ab5ea8f7d99500fbec77d5b4c944261870237978447a3beda
> 
> 
> Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
> Buildroot used: fedora-rawhide-x86_64
>
Comment 3 Remi Collet 2013-06-13 02:32:17 EDT
Great thanks for the fast review


New Package SCM Request
=======================
Package Name: php-pecl-jsonc
Short Description: Support for JSON serialization
Owners: remi
Branches: f19
InitialCC:
Comment 4 Gwyn Ciesla 2013-06-13 08:12:21 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-06-13 10:29:48 EDT
php-5.5.0-0.10.RC3.fc19, php-pecl-jsonc-1.3.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-10206/php-5.5.0-0.10.RC3.fc19,php-pecl-jsonc-1.3.1-1.fc19
Comment 6 Fedora Update System 2013-06-18 02:25:19 EDT
php-5.5.0-0.10.RC3.fc19, php-pecl-jsonc-1.3.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.